Docs API reference

neoserver 0.1.2

Get browser console configuration

GET /api/v1/console/config · Authentication

← All operations and schemas
GET /api/v1/console/config

Operation ID: getConsoleConfig

Authentication

No authentication is required by this operation’s OpenAPI definition.

Responses

200 Non-secret console configuration

Content type application/json

401 Authentication required or credential rejected

Content type application/json

403 Insufficient permission, disabled login, or invalid CSRF

Content type application/json

413 Request body exceeds the configured limit

Content type application/json

426 HTTPS required

Content type application/json

429 Request rate exceeded

Content type application/json

503 Service temporarily unavailable

Content type application/json

OpenAPI operation definition
{
  "operationId": "getConsoleConfig",
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ConsoleConfig"
          }
        }
      },
      "description": "Non-secret console configuration"
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "description": "Authentication required or credential rejected"
    },
    "403": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "description": "Insufficient permission, disabled login, or invalid CSRF"
    },
    "413": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "description": "Request body exceeds the configured limit"
    },
    "426": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "description": "HTTPS required"
    },
    "429": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "description": "Request rate exceeded"
    },
    "503": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      },
      "description": "Service temporarily unavailable"
    }
  },
  "security": [],
  "summary": "Get browser console configuration",
  "tags": [
    "Authentication"
  ]
}

Search documentation

Type to search guides and reference pages.